import request from '@/utils/request'

// 查询ppe矩阵管理列表
export function listMatrix(query) {
  return request({
    url: '/production/matrix/list',
    method: 'get',
    params: query
  })
}

// 查询ppe矩阵管理列表
export function listMatrixByPost(query) {
  return request({
    url: '/production/matrix/listByPost',
    method: 'get',
    params: query
  })
}

// 查询ppe矩阵管理详细
export function getMatrix(id) {
  return request({
    url: '/production/matrix/' + id,
    method: 'get'
  })
}

// 新增ppe矩阵管理
export function addMatrix(data) {
  return request({
    url: '/production/matrix',
    method: 'post',
    data: data
  })
}

// 修改ppe矩阵管理
export function updateMatrix(data) {
  return request({
    url: '/production/matrix',
    method: 'put',
    data: data
  })
}

// 删除ppe矩阵管理
export function delMatrix(id) {
  return request({
    url: '/production/matrix/' + id,
    method: 'delete'
  })
}

// 导出ppe矩阵管理
export function exportMatrix(query) {
  return request({
    url: '/production/matrix/export',
    method: 'get',
    params: query
  })
}
